/*
 * N.I.C.H. Monaic - The 2 channel bbs viewer
 * 
 * Copyright (C) 2001 Free Software Foundation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */

/*
 * See the AUTHORS file for a list of people on the Monaic Team. See
 * the ChangeLog files for a list of changes. These files are distributed
 * with Monaic at http://monaic.sourceforge.net/
 */

#ifndef _MONAIC_H
#define _MONAIC_H

#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

typedef struct _BoardInfo {
  GHashTable* ht;
  GSList* thlist;
  GSList* datkey;
  gchar* baseurl;
  gchar* bbs_title_picture;
  GdkPixbuf* pic;
} BoardInfo;

/* All monaic config information is here */
typedef struct _MonaicInfo {
  gboolean is_title_pic_showed;
  BoardInfo* boardinfo; /* Current board */
  GtkWidget* maintree;
  GtkWidget* mainsub;
  GtkWidget* picarea;
} MonaicInfo;

void get_board_info(gchar* baseurl, BoardInfo* boardinfo);
MonaicInfo* monaic_get_monaicinfo();
void monaic_gui_thread_update();

#endif /* _MONAIC_H */
